Information on source package ndpi

Available versions

ReleaseVersion
jessie1.5.0-1
stretch1.8-1
stretch (security)1.8-1+deb9u1
buster2.6-3
bookworm4.0-4
sid4.0-4

Open issues

BugjessiestretchbusterbookwormsidDescription
CVE-2021-36082vulnerablefixedfixedfixedfixedntop nDPI 3.4 has a stack-based buffer overflow in processClientServer ...
CVE-2020-15476vulnerablefixedvulnerablefixedfixedIn nDPI through 3.2, the Oracle protocol dissector has a heap-based bu ...
CVE-2020-15475vulnerablefixedvulnerablefixedfixedIn nDPI through 3.2, ndpi_reset_packet_line_info in lib/ndpi_main.c om ...
CVE-2020-15474vulnerablefixedfixedfixedfixedIn nDPI through 3.2, there is a stack overflow in extractRDNSequence i ...
CVE-2020-15473vulnerablefixedvulnerablefixedfixedIn nDPI through 3.2, the OpenVPN dissector is vulnerable to a heap-bas ...
CVE-2020-15472vulnerablefixedvulnerablefixedfixedIn nDPI through 3.2, the H.323 dissector is vulnerable to a heap-based ...
CVE-2020-15471vulnerablefixedfixedfixedfixedIn nDPI through 3.2, the packet parsing code is vulnerable to a heap-b ...

Resolved issues

BugDescription
CVE-2020-11940In nDPI through 3.2 Stable, an out-of-bounds read in concat_hash_strin ...
CVE-2020-11939In nDPI through 3.2 Stable, the SSH protocol dissector has multiple KE ...

Security announcements

DSA / DLADescription
DLA-2354-1ndpi - security update

Search for package or bug name: Reporting problems